=== modified file 'bzrlib/info.py'
--- bzrlib/info.py	2011-03-30 11:45:54 +0000
+++ bzrlib/info.py	2011-04-15 11:41:51 +0000
@@ -221,7 +221,6 @@
     """Show missing revisions in working tree."""
     branch = working.branch
     basis = working.basis_tree()
-    work_inv = working.inventory
     branch_revno, branch_last_revision = branch.last_revision_info()
     try:
         tree_last_id = working.get_parent_ids()[0]
@@ -239,7 +238,6 @@
 def _show_working_stats(working, outfile):
     """Show statistics about a working tree."""
     basis = working.basis_tree()
-    work_inv = working.inventory
     delta = working.changes_from(basis, want_unchanged=True)
 
     outfile.write('\n')
@@ -260,9 +258,10 @@
     outfile.write('  %8d ignored\n' % ignore_cnt)
 
     dir_cnt = 0
-    for file_id in work_inv:
-        if (work_inv.get_file_kind(file_id) == 'directory' and
-            not work_inv.is_root(file_id)):
+    root_id = working.get_root_id()
+    for file_id in working:
+        if (working.kind(file_id) == 'directory' and
+            file_id != root_id):
             dir_cnt += 1
     outfile.write('  %8d versioned %s\n' % (dir_cnt,
         plural(dir_cnt, 'subdirectory', 'subdirectories')))

